package com.fun.funnyprank.data;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import java.util.List;

@Dao
public interface LikeDAO {
    @Query("SELECT * FROM like_table")
    List<LikeData> getAll();

    @Query("select * from like_table where islike =:islike ")
    List<LikeData> getLikedata(boolean islike);

    @Query("select * from like_table where title =:title ")
    List<LikeData> getliketitle(String title);
    @Query("select * from like_table where categoryname =:name ")
    List<LikeData> getlist(String name);

    @Insert
    void insertAll(List<LikeData> likeDataList);

    @Update
    void update(LikeData likeData);
}
